package modelo;
// Generated 15 dic 2022 16:34:03 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;

/**
 * LinfacturaId generated by hbm2java
 */
@Embeddable
public class LinfacturaId implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private int linea;
	private int factura;

	public LinfacturaId() {
	}

	public LinfacturaId(int linea, int factura) {
		this.linea = linea;
		this.factura = factura;
	}

	@Column(name = "linea", nullable = false)
	public int getLinea() {
		return this.linea;
	}

	public void setLinea(int linea) {
		this.linea = linea;
	}

	@Column(name = "factura", nullable = false)
	public int getFactura() {
		return this.factura;
	}

	public void setFactura(int factura) {
		this.factura = factura;
	}

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof LinfacturaId))
			return false;
		LinfacturaId castOther = (LinfacturaId) other;

		return (this.getLinea() == castOther.getLinea()) && (this.getFactura() == castOther.getFactura());
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result + this.getLinea();
		result = 37 * result + this.getFactura();
		return result;
	}
	
	@Override
	public String toString() {
		return "Linea=" + linea;
	}

}
